:root {
    --colour-a: #f0f8ff;
    --colour-b: skyblue;
    --colour-c: #aba5d1;
    --colour-d: #add8e6;
    --colour-e: cornflowerblue;
    --white:;
    --black:;
    --spacing: 0.8rem;
    --overlay: var(--spacing) calc(var(--spacing) * -3) var(--spacing) var(--spacing);
}

body , html {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-size: 20px;
}

body {
    background: var(--colour-a);
    font-family: 'charter';
}

p {
    font-size: 1rem;
}

h1, h2 {
    margin-bottom: 1.5rem;
    font-family: 'Recursive Mono Casual';
}

h2 {
    margin-top: 2.5rem;
}


.log{
    color: dimgray;
    text-decoration: underline;
    text-align: right;
    font-style: italic;
    font-size: 16px;
    line-height: 20px;

}

.offset-box {
    margin: var(--overlay);
    padding: var(--overlay);
    max-width: 750px;
}

.colour-1 {
    background: var(--colour-b);
}

.colour-2 {
    background: var(--colour-c);
}

.colour-3 {
    background: var(--colour-d);
}


article {
    background-color: white;
    max-width: 730px;
    padding: var(--spacing);
    margin: var(--overlay);
}
article p {
    max-width: 33rem;
    margin: auto;
    margin-bottom: 1.3rem;
    padding-left: calc(var(--spacing) * 1.5);
    padding-right: calc(var(--spacing) * 1.5);
    font-size: 1.2rem;
    line-height: 133%;
}

.sleek-title{
    color: black;
    font-size: 30px;
    text-align: left;
    line-height: 30px;
    font-family: monospace;
}

figure {
    max-width: 100%;
    display: flex;
    flex-flow: column;
    justify-content: center;
    align-items: center;
    margin: 2rem auto 2rem auto;
}
img { max-width: 100% }
figcaption{
    font-size: 1rem;
    margin: auto;
    margin-top: 0.5rem;
    text-align: center;
    font-style: italic
}

@media (max-width: 828px) {
    :root {
        --spacing: 0.25rem;
        --overlay: var(--spacing) var(--spacing) var(--spacing) var(--spacing);
    }
article p {
    font-size: 1rem;
        line-height: 133%;
    }
}

header, footer {
    font-size: 1rem;
    font-style: italic;
    color: var(--colour-e);
    margin: 2rem;
}

header {
    text-align: right;
}

ol {
    font-style: italic;
    font-size: 0.9rem;
    padding-left: 1.2rem;
}
